## PrinterListWindow PrinterListWindow |

## Synopsis

    #include <libxfprint/libxfprint.h>

                        PrinterListWindow;
    enum                PrinterListWindowColumn;
    GtkWidget*          printer_list_window_new             (PrintingSystem *ps);
    GtkUIManager*       printer_list_window_get_ui_manager  (PrinterListWindow *win);
    gchar*              printer_list_window_get_selected_printer
                                                            (PrinterListWindow *win);
    void                printer_list_window_hide_column     (PrinterListWindow *win,
                                                             PrinterListWindowColumn column);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkWindow
                                           +----PrinterListWindow

## Implemented Interfaces

PrinterListWindow implements AtkImplementorIface and GtkBuildable.

## Description

## Details

### PrinterListWindow

    typedef struct _PrinterListWindow PrinterListWindow;

### enum PrinterListWindowColumn

    typedef enum
    {
      PRINTER_LIST_WINDOW_ALIAS_COLUMN,
      PRINTER_LIST_WINDOW_STATE_COLUMN,
    } PrinterListWindowColumn;

### printer_list_window_new ()

    GtkWidget*          printer_list_window_new             (PrintingSystem *ps);

`ps` : |
Returns : |

### printer_list_window_get_ui_manager ()

    GtkUIManager*       printer_list_window_get_ui_manager  (PrinterListWindow *win);

`win` : |
Returns : |

### printer_list_window_get_selected_printer ()

    gchar*              printer_list_window_get_selected_printer
                                                            (PrinterListWindow *win);

`win` : |
Returns : |

### printer_list_window_hide_column ()

    void                printer_list_window_hide_column     (PrinterListWindow *win,
                                                             PrinterListWindowColumn column);

`win` : |
`column` : |